Run aclocal before autoheader

It looks ike autoheader inspects ./aclocal.m4 (produced by aclocal)
but not ./aclocal (which is read by aclocal), so it doesn't pick up
our custom defines unless we run aclocal first.


git-svn-id: https://svn.apache.org/repos/asf/incubator/thrift/trunk@761437 13f79535-47bb-0310-9956-ffa450edef68
diff --git a/bootstrap.sh b/bootstrap.sh
index 474189f..45ac8d5 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -22,8 +22,8 @@
 ./cleanup.sh
 
 autoscan || exit 1
-autoheader || exit 1
 aclocal -I ./aclocal || exit 1
+autoheader || exit 1
 
 if libtoolize --version 1 >/dev/null 2>/dev/null; then
   libtoolize --automake || exit 1